#
# spec file for package python-nss
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-nss
Version:        1.0.1
Release:        lp150.1.1
Summary:        Python bindings for mozilla-nss and mozilla-nspr
License:        MPL-1.1+ OR GPL-2.0-or-later OR LGPL-2.0-or-later
Group:          Development/Languages/Python
URL:            http://www.mozilla.org/projects/security/pki/python-nss
Source:         https://files.pythonhosted.org/packages/source/p/python-nss/python-nss-%{version}.tar.bz2
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module docutils}
BuildRequires:  %{python_module setuptools}
BuildRequires:  mozilla-nspr-devel
BuildRequires:  mozilla-nss-devel
%python_subpackages

%description
python-nss is a Python binding for NSS (Network Security Services) and
NSPR (Netscape Portable Runtime). NSS provides cryptography services
supporting SSL, TLS, PKI, PKIX, X509, PKCS*, etc. NSS is an
alternative to OpenSSL and used extensively by major software
projects. NSS is FIPS-140 certified.

%prep
%setup -q -n python-nss-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%license LICENSE.mpl LICENSE.lgpl LICENSE.gpl
%doc README doc/ChangeLog
%{python_sitearch}/*

%changelog
* Wed May  2 2018 tchvatal@suse.com
- Fix SOURCE link to be fetchable
* Thu Feb  1 2018 mrueckert@suse.de
- update to 1.0.1
  see installed /usr/share/doc/packages/python*-nss/ChangeLog
* Thu Feb  1 2018 mrueckert@suse.de
- convert so single spec
* Mon Jun  1 2015 hguo@suse.com
- New package.
